diff --git a/binr/radare2/radare2.c b/binr/radare2/radare2.c
index e01c0b36f38..c109cf5b162 100644
--- a/binr/radare2/radare2.c
+++ b/binr/radare2/radare2.c
@@ -900,7 +900,8 @@ int main(int argc, char **argv, char **envp) {
 				char *question;
 				if (debug) {
 					if (r_cons_yesno ('y', "Do you want to quit? (Y/n)")) {
-						if (r_cons_yesno ('y', "Do you want to kill the process? (Y/n)"))
+						if (r_config_get_i (r.config, "dbg.exitkills") &&
+								r_cons_yesno ('y', "Do you want to kill the process? (Y/n)"))
 							r_debug_kill (r.dbg, 0, false, 9); // KILL
 					} else continue;
 				}
diff --git a/libr/core/config.c b/libr/core/config.c
index 4c5f0ee1c3a..cb19af5f74a 100644
--- a/libr/core/config.c
+++ b/libr/core/config.c
@@ -1604,6 +1604,7 @@ R_API int r_core_config_init(RCore *core) {
 	r_config_desc (cfg, "dbg.follow", "Follow program counter when pc > core->offset + dbg.follow");
 	SETCB("dbg.swstep", "false", &cb_swstep, "Force use of software steps (code analysis+breakpoint)");
 	SETPREF("dbg.shallow_trace", "false", "While tracing, avoid following calls outside specified range");
+	SETPREF("dbg.exitkills", "true", "Kill process on exit");
 
 	r_config_set_getter (cfg, "dbg.swstep", (RConfigCallback)__dbg_swstep_getter);
 
